Resource: NetworkEdgeSecurityService
Represents a Google Cloud Armor network edge security service resource.
| JSON representation |
|---|
{ "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "region": string, "fingerprint": string, "securityPolicy": string, "params": { "resourceManagerTags": { string: string, ... } } } |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always |
id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
name |
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
description |
An optional description of this resource. Provide this property when you create the resource. |
selfLink |
Output only. Server-defined URL for the resource. |
selfLinkWithId |
Output only. Server-defined URL for this resource with the resource id. |
region |
Output only. URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
fingerprint |
Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a NetworkEdgeSecurityService. An up-to-date fingerprint must be provided in order to update the To see the latest fingerprint, make a A base64-encoded string. |
securityPolicy |
The resource URL for the network edge security service associated with this network edge security service. |
params |
Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload. Available from version 2026-10-01-preview. |
params.resourceManagerTags |
Tag keys/values directly bound to this resource. Tag keys and values have the same definition as resource manager tags. The field is allowed for INSERT only. The keys/values to set on the resource should be specified in either ID { |
Methods |
|
|---|---|
|
Retrieves the list of all NetworkEdgeSecurityService resources available to the specified project. |
|
Deletes the specified service. |
|
Gets a specified NetworkEdgeSecurityService. |
|
Creates a new service in the specified project using the data included in the request. |
|
Patches the specified policy with the data included in the request. |